function Help_Client_Window()
{
	Help_Client_Window.superclass.constructor.call(this);
	
    this._setBaseElement(Rup.create('div'));
    
    this._baseElement.id = 'windv_help';
    
    this._baseElement.className = 'window';
    
    document.body.appendChild(this._baseElement);
    
    this._baseElement.innerHTML = '';
    this._baseElement.style.display = 'block';
    
    var oClose = Rup.create('input');
    oClose.type = "button";
    oClose.value = "Закрыть";
    oClose.className = 'closebtn';

	var instance = this;

    oClose.onclick = function()
    {
        instance._baseElement.style.display = "none";
        //if (inputToBeFocused && inputToBeFocused.focus) inputToBeFocused.focus();
        inputToBeFocused = undefined;
    }

    var oContainerDiv = Rup.create('div');
    
    this._baseElement.appendChild(oClose);
    this._baseElement.appendChild(oContainerDiv);
    
    this._setContainerElement(oContainerDiv);
}

Rup.extend(Help_Client_Window, Container_Element_Abstract);